Authentication

API Key Configuration

To use this application with bearer token authentication, you need to configure your API key in the settings.

Getting Your API Key

  1. Navigate to account settings on the web at distill.id
  2. Locate the API key section
  3. Generate an API key
  4. Use the API key for Bearer authentication when making API requests

Using Bearer Token Authentication

Once configured, include the bearer token in your API requests:

API Request
curl -X POST https://distill.id/api/ \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{"sort": "asc"}'
JavaScript
fetch('https://distill.id/api/shared', {
    headers: {
        Authorization: 'Bearer yourapikey_here',
        'Content-Type': 'application/json',
    },
});
Resources
Copyright © 2025 UNMS Technologies Corp.
All rights reserved. Terms of Service & Privacy Policy.